## apq 3.0~b1

=== libapq/Makefile ===
# Makefile for the AW_Lib
#
# @author Marcelo Coraça de Freitas <marcelo.batera@gmail.com> 


projectFile="apq.gpr"


libs:
	gnatmake -P ${projectFile}

all: libs


clean:
	gnatclean -P ${projectFile}
	@echo "All clean"

docs:
	@-./gendoc.sh
	@echo "The documentation is generated by a bash script. Then it might fail in other platforms"

## apq 3.0

=== Makefile ===
# Makefile for the APQ
#
# @author Marcelo Coraça de Freitas <marcelo@kow.com.br> 

PROJECT_FILES=apq.gpr
GPR_FILES=apq.gpr

INCLUDE_FILES=src/*

DOCS_DIRS=manual

include Makefile.include


pre_libs:

pos_libs:

extra_clean:

=== manual/Makefile ===


all: manual.pdf

%.pdf: %.tex
	pdflatex $< && pdflatex $< || echo Error while building PDF file


clean: manual.pdf-clean


manual.pdf-clean:
	@rm -f manual.pdf \
			manual.aux\
			manual.idx\
			manual.log\
			manual.lot\
			manual.pdf\
			manual.toc

#manual.pdf:
#	pdflatex manual.tex

=== samples/Makefile ===
# Makefile for the AW_Lib
#
# @author Marcelo Coraça de Freitas <marcelo.batera@gmail.com> 



projectFile="apq-samples.gpr"


libs:
	gnatmake -P ${projectFile}

all: libs


clean:
	gnatclean -P ${projectFile}
	@echo "All clean"

docs:
	@-./gendoc.sh
	@echo "The documentation is generated by a bash script. Then it might fail in other platforms"

## apq 3.2.0

=== Makefile ===
# Makefile for the KOW Generic Library Framework
#
# @author Marcelo Coraça de Freitas <marcelo@kow.com.br> 
#
#
# Please, read Makefile.include for more information


all:
	./scripts/build.sh

install:
	./scripts/install.sh

uninstall:
	./scripts/uninstall.sh
clean:
	./scripts/clean.sh

distclean: 
	@-${MAKE} clean
	@-${MAKE} -C samples clean

=== legacy/Makefile ===
# $Id: Makefile,v 1.68 2008/02/06 19:43:52 eveogro Exp $
# Warren W. Gay VE3WWG
#
# Licensed under the ACL (Ada Community License)
# or GPL2 :

include Makeincl

DISTDIR=apq-$(VERSION)
DISTFILE=apq-$(VERSION).tar.gz

#DBG=-g
OPTZ=-O0

CC=gcc

ZOPTS=$(DBG) $(OPTZ)
COPTS=-Wall $(ZOPTS)
AOPTS=-gnata -gnatf -gnato -gnatwp $(ZOPTS)

.c.o:
	$(CC) -c $(COPTS) $(ZOPTS) $(PG_INCL) $(MY_INCL) $< -o $*.o

all:	sybase$(HAVE_SY) setup$(HAVE_MY) mysql$(HAVE_MY) postgresql$(HAVE_PG) libapq.a finish

tmysql::
	rm -f tmysql mysql.trc
	gnatmake -gnatf tmysql


setup0:        # MySQL support is not being included
sybase0:       # Sybase support is not being included
mysql0:        # MySQL support is not being included
postgresql0:   # PostgreSQL is not being included

apq-sybase.ads: apq-sybase.ads-in sybase_gentyp.c prep_sybase
	$(CC) $(COPTS) $(SY_INCL) sybase_gentyp.c -o sybase_gentyp
	$(CC) $(COPTS) $(SY_INCL) sybaseopts.c -o sybaseopts
	./sybaseopts >sybopts.tmp
	./sybase_gentyp | ./prep_sybase "$(SY_LIBS)" >apq-sybase.ads
	rm -f sybase_gentyp

c_sybase.o: c_sybase.c
	$(CC) -c $(COPTS) $(ZOPTS) $(SY_INCL) $< -o c_sybase.o

sybase1: apq-sybase.ads c_sybase.o
	gnatmake -c $(AOPTS) comp_sybase

setup1:	mysql_xcr mysql_xcr2 mysql_xcr3 mysql_incl
	chmod u+x mysql_xcr mysql_xcr2 mysql_xcr3 mysql_incl mysql_xty mysql_linker_options

mysql1: apq-mysql.ads c_mysql.o
	gnatmake -c $(AOPTS) comp_mysql

c_mysql.o: c_mysql.c
	$(CC) -c $(COPTS) $(ZOPTS) $(MY_INCL) c_mysql.c -o c_mysql.o

apq-mysql.ads: apq-mysql.ads-in mysql_generr.c mysql_xcr2 mysql_xcr3
	@rm -f mysql_errmsg.h mysql_generr
	./mysql_xcr >mysql_errmsg.h
	./mysql_xty >mysql_type_codes.h
	$(CC) $(COPTS) $(MY_INCL) mysql_generr.c -o mysql_generr
	$(CC) $(COPTS) $(MY_INCL) mysql_gentyp.c -o mysql_gentyp
	$(CC) $(COPTS) $(MY_INCL) mysqlopts.c -o mysql_opts
	./mysql_opts >opts.tmp
	./mysql_generr | sort -k1,1n | ./mysql_xcr2 >gen.tmp
	./mysql_gentyp | sort -k1,1n | ./mysql_xcr3
	rm -f mysql_generr mysql_errmsg.h mysql_gentyp mysql_type_codes.h gen.tmp opts.tmp mysql_opts gen.tmp

postgresql1: numeric.o notices.o
	gnatmake -c $(AOPTS) comp_pg

libapq.a::
	@rm -f libapq.a
	ar cr libapq.a apq.o $(PG_OBJS) $(MY_OBJS) $(SY_OBJS)
	ar tv libapq.a

finish:
	@echo "--"
	@echo "Now do 'make install' to install the library"
	@echo
	@echo "NOTE: Remove any prior versions of the APQ library"
	@echo "and package, if you have it installed. You will"
	@echo "need to remove those packages and libraries"
	@echo "manually."
	@echo
	@echo "You may 'make uninstall' if you are about to"
	@echo "reinstall APQ version $(VERSION). This will not"
	@echo "work for prior versions of APQ however."
	@echo

install: libapq.a
	HAVE_PG=$(HAVE_PG) HAVE_MY=$(HAVE_MY) HAVE_SY=$(HAVE_SY) ./install_lib
	@echo "--"
	@echo "For fun do:"
	@echo "  1. cd ./eg2"
	@echo "  2. make"
	@echo "  3. follow instructions given."
	@echo "--"
	
uninstall:
	HAVE_PG=1 HAVE_MY=1 HAVE_SY=1 ./install_lib uninstall

reinstall: uninstall clobber all install

clean:
	rm -f *.o *.ali *.core b~*.ad[sb] errs.t libapq.a mysql.trc comp_pg comp_mysql
	rm -f sybase_gentyp gen.tmp sybopts.tmp sybaseopts
	rm -f mysql_gentyp mysql_opts opts.tmp
	(cd sybase ; make clean)

clobber: clean
	rm -f mysql_errmsg.h mysql_type_codes.h mysql_generr Makeincl tmysql apq-mysql.ads
	rm -f tsybase apq-sybase.ads
	rm -f libapq.a GNUmakefile
	rm -fr ./release $(DISTFILE)
	cd ./eg; $(MAKE) clobber
	rm -f apq-1.93-win32-2.7.1.tar.gz
	rm -f apq_manual.dvi apq_manual.pdf binding2.aux binding2.toc binding2.log
	(cd sybase ; make clobber)

manual:	apq_manual.pdf

apq_manual.dvi: binding2.tex
	@rm -f binding2.toc binding2.log binding2.dvi binding2.aux
	latex binding2.tex
	latex binding2.tex
	latex binding2.tex
	mv binding2.dvi apq_manual.dvi

apq_manual.pdf: apq_manual.dvi
	dvipdf apq_manual.dvi apq_manual.pdf

manlabels:
	sed <binding2.tex -n '/\\label{.*}/p' | sed 's|.*\(\\label{.*}\).*$$|\1|g'

distribution: manual
	./build_release
	@mv release $(DISTDIR)
	tar czf $(DISTFILE) $(DISTDIR)
	@rm -fr $(DISTDIR)
	@ls -l $(DISTFILE)

makedist:
	./build_release FORCE
	@mv release $(DISTDIR)
	tar czf $(DISTFILE) $(DISTDIR)
	@rm -fr $(DISTDIR)
	@ls -l $(DISTFILE)

#binary-distributions:
#	./build_release build-win32-1.93-2.7.1
#	@mv release apq-1.93-win32-2.7.1
#	tar czf apq-1.93-win32-2.7.1.tar.gz apq-1.93-win32-2.7.1
#	rm -fr apq-1.93-win32-2.7.1
#	ls -l apq-1.93-win32-2.7.1.tar.gz

# End $Source: /cvsroot/apq/apq/Makefile,v $

=== manual/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: manual.pdf
 
 %.pdf: %.tex
-	pdflatex $< && pdflatex $< || echo Error while building PDF file
+	pdflatex -halt-on-error $< && pdflatex -halt-on-error $< || echo Error while building PDF file
 
 
 clean: manual.pdf-clean

=== debian/changelog ===
apq (3.2.0-2) unstable; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Transition to gnat-4.9 compiler (Closes: #757574, #755014)
    Bug #757574 was caused by a stale gprbuild, which has been updated since.
  * Update to Standards-Version 3.9.5
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Bump aliversion and switch to integer aliversion scheme
  * Declare conflict with libapq3.2.0-dev
  * Remove numeric prefix from fix-version.patch
  * Abort build on error (Closes: #673017)
  * Enable dpkg-buildflags hardening options
  * Add new fix-samples-gpr.patch (Closes: #739040)
  * Add Build-Depends-Indep to debian/control
  * Make use of arch and indep targets in debian/rules
  * Add libapq-doc package (Closes: #673012)
  * Update upstream website URLs
  * Update debian/copyright
  * Add Nicolas Boulenguez as Uploader to debian/control
  * Fail dh_install on missing files for all packages
  * Bump soname of library package
  * Drop debian/source/local-options

  [ Nicolas Boulenguez ]
  * Build doc with packaged floatflt.sty instead of embedded copy.
  * Update to debhelper 9
  * Register manual in doc-base
  * Add minimal run time test for installed package.
  * Make -dbg package compliant to Debian Ada Policy.
  * Remove installchangelog stanza in rules
  * Switch to gnatmake
  * Avoid -fPIC for static builds
  * Remove -indep configure pass and -debug build pass.
  * Use flags from gnat's debian_packaging.mk

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 26 Aug 2014 00:51:34 +0200

apq (3.2.0-1) unstable; urgency=low

  * Imported Upstream version 3.2.0 (Closes: #590631)
  * Update to Standards-Version 3.9.3 (no changes)
  * Update to debhelper 8
  * Update Vcs-Git URL
  * Update/Drop patches
  * Update copyright information
  * Set package names to new library version 3.2.0
  * Migrate to gnat-4.6 (Closes: #660536)
  * Add gprbuild and chrpath to build dependencies
  * Do not install changelog/HISTORY twice
  * Fix description-synopsis-starts-with-article warning
  * Update rules
  * Update installed GNAT project file
  * Switch to 3.0 (quilt) source package format
  * Add uploaders and allow DM upload
  * Add gnat as dependency
  * Fix binary-control-field-duplicates-source warning

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 07 Mar 2012 12:10:43 +0100

apq (3.0-2) unstable; urgency=low

  * Add missing conflict to libapq3-common (Closes: #570909).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 28 Feb 2010 13:15:09 +0100

apq (3.0-1) unstable; urgency=low

  * Merging upstream version 3.0.
  * Update to new upstream URL.
  * Bump Standards-Version to 3.8.3.
  * Migrate to GNAT 4.4 (Closes: #555096).
  * Update patches.
  * Use patched upstream makefile for build.
  * Fix documentation generation.
  * Update rules.
  * Adjust installed doc and example files.
  * Update lintian overrides.
  * Make package compliant to latest Debian Ada Policy.
  * Add README.source file.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Update to Standards-Version 3.8.4 (no changes).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 17 Feb 2010 21:58:34 +0100

apq (3.0~b1-3) unstable; urgency=low

  * Set proper build dependency for gnat-4.3 (Closes: #533155).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Mon, 15 Jun 2009 21:26:52 +0200

apq (3.0~b1-2) unstable; urgency=low

  * Remove all built files on 'clean'.
  * Install debian-specific gpr file.
  * Remove redundant build dependency for gnat.
  * Build static library and install with dev package.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 14 May 2009 23:05:22 +0200

apq (3.0~b1-1) unstable; urgency=low

  * Initial Release.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 22 Mar 2009 17:14:32 +0100

=== debian/control ===
Source: apq
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), gnat, gnat-4.9
Build-Depends-Indep: texlive-latex-recommended, texlive-fonts-recommended,
 latex-xcolor, texlive-latex-extra
Standards-Version: 3.9.5
Homepage: https://bitbucket.org/kowframework/
Vcs-Browser: http://git.codelabs.ch/?p=debian/apq.git
Vcs-Git: http://git.codelabs.ch/git/debian/apq.git
XS-Testsuite: autopkgtest

Package: libapq3.2.0.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pluggable Ada 95 Binding to various database systems (library)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.

Package: libapq4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libapq3.2.0.1 (= ${binary:Version}), gnat, gnat-4.9
Breaks: libapq3.2.0-dev
Replaces: libapq3.2.0-dev
Description: Pluggable Ada 95 Binding to various database systems (development)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the development files.

Package: libapq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libapq3.2.0.1 (= ${binary:Version})
Recommends: libapq4-dev (= ${binary:Version})
Suggests: gnat
Description: Pluggable Ada 95 Binding to various database systems (debug)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the debugging symbols.

Package: libapq-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Pluggable Ada 95 Binding to various database systems (documentation)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PN = apq
LIBDIR = debian/tmp/usr/lib/$(PN)/relocatable

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging.mk
export LDFLAGS
export ADAFLAGS

SOVERSION=3.2.0.1
export SOVERSION

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
	build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh ${@}

# These empty targets let dh know that it should not call upstream
# Makefile by itself. Some of them are overriden below.
.PHONY: $(addprefix override_dh_auto_, \
	clean configure build-arch build-indep test install-arch install-indep)

override_dh_auto_clean:
	$(MAKE) distclean
	$(MAKE) -C manual clean

	# Restore original file mode
	chmod 755 samples/Makefile

	rm -f manual/*.out
	rm -f lib/*

	if test -e manual/floatflt.sty.backup; then \
		mv -f manual/floatflt.sty.backup manual/floatflt.sty; \
	fi

override_dh_auto_build-arch:
# -j in BUILDER_OPTIONS override the one in scripts/buildutils.sh.
	./configure --prefix=./debian/tmp/usr/ --gprbuild=gnatmake \
		--gprbuild-params="$(BUILDER_OPTIONS)"
	dh_auto_build

override_dh_auto_build-indep: manual/floatflt.sty.backup
	$(MAKE) -C manual

# Move embedded .sty out of the way so that TeX uses packaged version.
manual/floatflt.sty.backup: %.backup: %
	mv $* $@

override_dh_auto_install-arch:
	dh_auto_install
	rm -f $(LIBDIR)/lib$(PN).so

	chmod 644 $(LIBDIR)/*
	chmod 644 debian/tmp/usr/lib/$(PN)/static/lib$(PN).a

	ln -sf lib$(PN).so.`basename $(LIBDIR)/lib$(PN).so.*.* | sed -e 's/lib$(PN).so.//'` $(LIBDIR)/lib$(PN).so

	mv $(LIBDIR)/*.so* debian/tmp/usr/lib
	mv debian/tmp/usr/lib/$(PN)/static/lib$(PN).a debian/tmp/usr/lib

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/src/$(PN) debian/tmp/usr/share/ada/adainclude
	chmod -R 444 debian/tmp/usr/share/ada/adainclude/$(PN)/*

	cp debian/misc/*.gpr debian/tmp/usr/share/ada/adainclude

	mkdir -p debian/tmp/usr/lib/ada/adalib/$(PN)
	mv $(LIBDIR)/*.ali debian/tmp/usr/lib/ada/adalib/$(PN)
	chmod -R 444 debian/tmp/usr/lib/ada/adalib/$(PN)/*

	chmod 644 samples/Makefile

	rm -rf debian/tmp/usr/lib/apq
	rm -rf debian/tmp/usr/lib/gnat

.PHONY: override_dh_install
override_dh_install:
	dh_install --all --fail-missing

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=lib$(PN)-dbg
	dh_strip --remaining-packages
